#!/bin/sh

. /tmp/openit-cfg-shenv

ARCH=""

#Get the first three part of the version
ver3=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 1-3 | tr -d '.'`
#Get the last part of the version
lastPart=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 4`
#Concatenate the two parts to get the version
version=$ver3$lastPart

#If the first three part is less than 6.4.0, use the index.php for 6.1 and lower
if [ $ver3 -lt 640 ]; then
	version=""
else
	version="64"
fi

#Get the Architecture of the machine
if [ `uname` = "SunOS" ]; then
	ARCH="solaris"
elif [ `uname` = "Linux" ]; then
	if [ `uname -p` = "i686" ]; then
		ARCH="little"
	else
		ARCH="little64"
	fi
fi

#Copy the appropriate Classification.php and DatabaseManager.php for the Complete Seletion Page
cp source/$ARCH/classes/Classification$version.php $ROOT_DIR/classes/Classification.php
cp source/$ARCH/classes/DatabaseManager$version.php $ROOT_DIR/classes/DatabaseManager.php

exit 0
